> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Chart of Accounts Template

> Retrieves details of an existing Chart of Accounts Template.



## OpenAPI

````yaml GET /v0/platform-gl/coa-templates/{coa_template_id}
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/platform-gl/coa-templates/{coa_template_id}:
    get:
      tags:
        - Chart of Accounts Templates
      summary: Retrieve a Chart of Accounts Template
      description: Retrieves details of an existing Chart of Accounts Template.
      operationId: get_coa_template_v0_platform_gl_coa_templates__coa_template_id__get
      parameters:
        - name: coa_template_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the Chart of Accounts Template
            title: Coa Template Id
          description: The ID of the Chart of Accounts Template
        - name: expand
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/CoaTemplateExpandPath'
              - type: 'null'
            description: Comma-separated list of expandable paths.
            teal_explode: false
            title: Expand
          description: Comma-separated list of expandable paths.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoaTemplate'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    CoaTemplateExpandPath:
      type: string
      enum:
        - ledgers
      title: CoaTemplateExpandPath
    CoaTemplate:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - PpvsmFEv14yGDyT6iV6kXw
        name:
          type: string
          title: Name
          description: |-
            An arbitrary string on the object, useful for 
                    identifying the Chart of Accounts template.
          examples:
            - Coffee Shop Sole Prop
        accounting_basis:
          $ref: '#/components/schemas/AccountingBasis'
          description: |-
            The accounting basis for this Chart of Accounts 
                    template.
          examples:
            - accrual
        type:
          $ref: '#/components/schemas/CoaTemplateType'
          description: Whether this template belongs to an agent or a platform.
          examples:
            - agent
        ledgers:
          anyOf:
            - items:
                $ref: '#/components/schemas/LedgerTemplate'
              type: array
            - type: 'null'
          title: Ledgers
          description: |-
            Expandable. A list of the Ledger 
                    Templates associated with the Chart of Accounts Template.
          examples:
            - null
        ledger_ids:
          items:
            type: string
          type: array
          title: Ledger Ids
          description: |-
            A list of IDs of the Ledger Template 
                    objects associated with the Chart of Accounts Template
          examples:
            - - 7JRNsKwy2Lw66caxVU7WGC
              - HLn8oy2eqMUCwjp1Cwdgco
      type: object
      required:
        - id
        - name
        - accounting_basis
        - type
        - ledger_ids
      title: CoaTemplate
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    AccountingBasis:
      type: string
      enum:
        - cash
        - accrual
      title: AccountingBasis
    CoaTemplateType:
      type: string
      enum:
        - agent
        - platform
      title: CoaTemplateType
    LedgerTemplate:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - 7JRNsKwy2Lw66caxVU7WGC
        children:
          anyOf:
            - items:
                $ref: '#/components/schemas/LedgerTemplate'
              type: array
            - type: 'null'
          title: Children
          description: |-
            If the Ledger has child ledgers, a list of the 
                    Ledger objects.
          examples:
            - null
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Indicates if the ledger is a credit or debit ledger.
          examples:
            - debit
        editable:
          type: boolean
          title: Editable
          description: >-
            Whether line entries can be manually added or removed from the
            ledger.
          examples:
            - false
        financial_account_type:
          anyOf:
            - $ref: '#/components/schemas/FinancialAccountType'
            - type: 'null'
          description: Indicates that the ledger represents a real-world financial account.
          examples:
            - bank_account
        is_required:
          type: boolean
          title: Is Required
          description: >-
            Indicates that the ledger is one of the four system ledgers required
            for Teal to work. In the default chart of accounts, these are named
            one of: `Transfers Between Accounts`, `Opening Balance Retained
            Earnings`, `Uncategorized Cash Inflow`, `Uncategorized Cash
            Outflow`. You can update the names of these to fit your needs.
          examples:
            - false
        name:
          type: string
          title: Name
          description: The name of the ledger.
          examples:
            - Pluto Checking 4242
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
          description: If the ledger is a child Ledger, the ID of the parent ledger object.
          examples:
            - null
        report_cash_flow:
          type: boolean
          title: Report Cash Flow
          description: >-
            Whether or not this ledger is included in the cash flow report. For
            ledgers with a financial_account_type, this value is automatically
            determined and cannot be modified.
          examples:
            - true
        sort_code:
          type: string
          title: Sort Code
          description: >-
            Determines the display order in reports, ordered digit by digit,
            starting from the leftmost position. For example, `20010` will come
            before `3050`.
          examples:
            - '1400'
        sub_type:
          $ref: '#/components/schemas/LedgerSubType'
          description: >-
            Indicates similar characteristics and accounting treatment for a
            group of ledgers within a `type`.
          examples:
            - current_assets
        type:
          $ref: '#/components/schemas/LedgerType'
          description: >-
            Indicates the purpose and location of the funds and value recorded
            in the ledger and which report it is included in: `asset`,
            `liability` and `equity` ledgers are displayed on the balance sheet;
            `revenue` and `expenses` are displayed on the income statement.
          examples:
            - asset
      type: object
      required:
        - id
        - debit_credit
        - editable
        - financial_account_type
        - is_required
        - name
        - parent_id
        - report_cash_flow
        - sort_code
        - sub_type
        - type
      title: LedgerTemplate
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
    FinancialAccountType:
      type: string
      enum:
        - bank_account
        - credit_card
        - payments
        - payroll
        - loan
        - prepaid_card
        - accounts_receivable
        - accounts_payable
        - treasury
        - investment
      title: FinancialAccountType
    LedgerSubType:
      type: string
      enum:
        - current_assets
        - non-current_assets
        - transfers_between_accounts
        - uncategorized_assets
        - current_liabilities
        - non-current_liabilities
        - equity
        - operating_revenues
        - other_income
        - cost_of_goods_sold
        - operating_expenses
        - other_expenses
        - retained_earnings
      title: LedgerSubType
    LedgerType:
      type: string
      enum:
        - asset
        - liability
        - equity
        - revenue
        - expense
      title: LedgerType
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````